%define name	bochs
%define version	2.2
%define	rel	0.pre3.1
%define release %mkrel %{rel}

Summary:	Bochs Project x86 PC Emulator
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Emulators
URL:		http://bochs.sourceforge.net/
Source0:	%{name}-%{version}.pre3.tar.bz2
Source1:	dlxlinux4.tar.bz2
#Patch0:		%{name}-2.1.1-gcc34.patch.bz2
BuildRequires:	XFree86-devel readline-devel 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Bochs is a portable x86 PC emulation software package that emulates
enough of the x86 CPU, related AT hardware, and BIOS to run DOS,
Windows '95, Minix 2.0, and other OS's, all on your workstation.

%package	dlxlinux
Summary: 	Small GNU/Linux distrib for Bochs project x86 PC emulator
Group:          Emulators
Requires:	%{name}

%description	dlxlinux
Bochs is a portable x86 PC emulation software package that emulates
enough of the x86 CPU, related AT hardware, and BIOS to run DOS,
Windows '95, Minix 2.0, and other OS's, all on your workstation.

%prep
%setup -q -a1 -n %{name}-%{version}.pre3
#%patch0 -p0
# remove any references to CVS repository
find . -type d -name CVS | xargs rm -rf
perl -pi -e "s#1\.1\.2#2\.0\.2#g" dlxlinux/bochsrc.txt
perl -pi -e "s#/usr/local/bochs/latest#%{_datadir}/bochs#g" dlxlinux/bochsrc.txt

%build

%configure \
	--enable-sb16=linux \
	--enable-ne2000 \
	--enable-cdrom \
	--enable-vbe \
	--enable-split-hd \
	--enable-x86-64 --enable-sse=2 \
	--enable-all-optimizations \
	--with-x11 \
	--with-nogui \
	--without-wx \
	--without-sdl \
	--enable-readline \
	--disable-docbook
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall install_dlx

# fix docs
install -m644 $RPM_BUILD_ROOT%{_datadir}/doc/bochs/bochsrc-sample.txt .
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc

install -m644 gui/keymaps/convertmap.pl -D $RPM_BUILD_ROOT%{_datadir}/bochs/keymaps/convertmap.pl

%preun dlxlinux
# clean up the bochsout.txt that is always produced if you 
# run bochs-dlx.
rm -rf %{_datadir}/bochs/dlxlinux/bochsout.txt core

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README CHANGES COPYING
%doc bochsrc-sample.txt
%doc docs-html
#
%{_bindir}/bochs
%{_bindir}/bximage
%{_bindir}/bxcommit
#
%dir %{_datadir}/bochs
%{_datadir}/bochs/BIOS-*
%{_datadir}/bochs/VGABIOS-*
%dir %{_datadir}/bochs/keymaps
%{_datadir}/bochs/keymaps/*.map
%{_datadir}/bochs/keymaps/convertmap.pl
#
%{_mandir}/man1/bochs.1*
%{_mandir}/man1/bximage.1*
%{_mandir}/man1/bxcommit.1*
%{_mandir}/man5/bochsrc.5*

%files dlxlinux
%defattr(-, root, root)

%dir %{_datadir}/bochs/dlxlinux
%{_datadir}/bochs/dlxlinux/readme.txt
%{_datadir}/bochs/dlxlinux/bochsrc.txt
%{_datadir}/bochs/dlxlinux/hd10meg.img.gz
%{_datadir}/bochs/dlxlinux/testform.txt
%{_mandir}/man1/bochs-dlx.1*
%{_bindir}/bochs-dlx

%changelog
* Thu May 12 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2-0.pre3.1mdk
- 2.2.pre3
- drop P0 (fixed upstream)
- spec cleanups

* Thu Jul 15 2004 Michael Scherer <misc@mandrake.org> 2.1.1-3mdk 
- rework patch 0 ( Gwenole Beauchesne <gbeauschene@mandrakesoft.com> )

* Wed Jul 14 2004 Michael Scherer <misc@mandrake.org> 2.1.1-2mdk 
- rebuild for new gcc ( patch 0 )

* Mon May 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.1.1-1mdk
- according to bochs changelog X11 Vga fonts are no more required so the post
  script is removed
- from Guillaume Bedot <guillaume.bedot@wanadoo.fr> :
	- update to 2.1.1 
	- dropped old compile patch and gone files

* Tue Jul 29 2003 Michael Scherer <scherer.michael@free.fr> 2.0.2-4mdk 
- fix build, patch stolen from freebsd ( bug #54440 )
- added --enable-no-gui in order to be able to use it without X
- moved bochs-dlx to the bochs-dlxlinux package
- adjust all configure option, to not build some graphical subsystem by error
- added readline support.

* Thu Mar 13 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.0.2-3mdk
- added XFree86-devel to BuildRequires

* Fri Feb 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-2mdk
- [Bug 1027] : split package

* Tue Jan 28 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.2-1mdk
- 2.0.2

* Mon Jan  6 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.1-2mdk
- Reintegrate my previous changes: enable x86-64 support, full
  optimizations. Installation from MDK 9.0/x86_64 CDs still fails
  though, but in late stage1 now. i.e. much farther than before.

* Sun Jan 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-1mdk
- 2.0.1

* Sat Dec 21 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 2.0-1mdk
- Updated to release 2.0.

* Sat Dec  7 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0-0.pre3.2mdk
- Enable more optimizations. Also enable x86-64 emulation, though
  installation from MDK 9.0 CDs would segfault in early
  stage1/init. Probably some more instructions are still missing.

* Fri Dec  6 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0-0.pre3.1mdk
- 2.0 pre3

* Sat Aug 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4.1-2mdk
- rebuild

* Wed Jul 24 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 1.4.1-1mdk
- upgraded to 1.4.1 (service release)

* Tue May 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4-3mdk
- rebuild against new libstdc++

* Mon Apr 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4-2mdk
- fix %post & %pre by adding %{version} to cure problem when 
  version changes ( thx Quel Qun )

* Sat Mar 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4-1mdk
- 1.4

* Tue Feb 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.3-1mdk
- new

